---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libSuspendWithCurrentThread.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL13threads_count, symObjAddr: 0x21B30, symBinAddr: 0x3040, symSize: 0x0 }
  - { offsetInCU: 0xAA, offset: 0xAA, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x21B38, symBinAddr: 0x3048, symSize: 0x0 }
  - { offsetInCU: 0x8CE1, offset: 0x8CE1, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x21B40, symBinAddr: 0x3050, symSize: 0x0 }
  - { offsetInCU: 0xA69F, offset: 0xA69F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x740, symSize: 0x30 }
  - { offsetInCU: 0xA9F1, offset: 0xA9F1, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_registerTestedThreads, symObjAddr: 0xE10, symBinAddr: 0x770, symSize: 0x110 }
  - { offsetInCU: 0xAC86, offset: 0xAC86, size: 0x8, addend: 0x0, symName: _Java_ThreadToSuspend_suspendTestedThreads, symObjAddr: 0xF20, symBinAddr: 0x880, symSize: 0x3C0 }
  - { offsetInCU: 0xB1B8, offset: 0xB1B8, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_checkTestedThreadsSuspended, symObjAddr: 0x12E0, symBinAddr: 0xC40, symSize: 0x120 }
  - { offsetInCU: 0xB36B, offset: 0xB36B, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_resumeTestedThreads, symObjAddr: 0x1400, symBinAddr: 0xD60, symSize: 0x230 }
  - { offsetInCU: 0xB698, offset: 0xB698, size: 0x8, addend: 0x0, symName: _Java_SuspendWithCurrentThread_releaseTestedThreadsInfo, symObjAddr: 0x1630, symBinAddr: 0xF90, symSize: 0xF0 }
  - { offsetInCU: 0xB834, offset: 0xB834, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1720, symBinAddr: 0x1080, symSize: 0x97 }
...
